# $Revision: 1.9 $, $Date: 2004/12/25 18:29:32 $
%define 	zope_subname	CookieCrumbler
Summary:	Zope product that enables cookie-based authentication
Summary(pl):	Dodatek do Zope umoliwiajcy uwierzytelnianie przez cookies
Name:		Zope-%{zope_subname}
Version:	1.2
Release:	2
License:	ZPL 2.0
Group:		Development/Tools
Source0:	http://hathawaymix.org/Software/%{zope_subname}/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	7dbb67adaa6ce552456d8817da4b15d8
URL:		http://hathawaymix.org/Software/CookieCrumbler/
%pyrequires_eq  python-modules
Requires:	Zope
Requires(post,postun):  /usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CookieCrumbler is Zope product that enables cookie-based
authentication.

%description -l pl
CookieCrumbler jest dodatkiem do Zope umoliwiajcym uwierzytelnianie
przez cookies.

%prep
%setup -q -n %{zope_subname}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af {dtml,tests,*.py,*.gif,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname} 
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CookieCrumbler.spec,v $
Revision 1.9  2004/12/25 18:29:32  saq
- release 2 for rebuild with python 2.4

Revision 1.8  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/06/20 10:31:17  ciesiel
- upgraded to version 1.2
- cleanup

Revision 1.6  2003/11/17 11:11:11  ciesiel
- cleaning

Revision 1.5  2003/11/17 11:10:09  ciesiel
- added req. %post and %postun

Revision 1.4  2003/11/16 16:27:53  jajcus
- install in %{_datadir}/%{name}
- installzopeproduct in %post/%postun

Revision 1.3  2003/10/07 08:37:57  qboosh
- pl cosmetics

Revision 1.2  2003/10/05 20:40:49  ankry
- cosmetics

Revision 1.1  2003/10/05 19:57:58  ciesiel
- initial release
